> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ITSM User by ID



## OpenAPI

````yaml get /itsm/users/{user_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/users/{user_id}:
    get:
      tags:
        - ITSM
        - Users
      summary: Get ITSM User by ID
      operationId: get_user_by_id
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ITSMUserRespModel'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    ITSMUserRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the User
        name:
          type: string
          title: Name
          description: Name of the User
        email:
          type: string
          title: Email
          description: Email of the User
        status:
          allOf:
            - $ref: '#/components/schemas/ITSMUserStatus'
          description: Status of the User
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMUserVendorAttributes'
          description: Vendor-specific attributes of the User
      type: object
      required:
        - id
        - name
        - email
        - status
        - vendor_attributes
      title: ITSM User
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ITSMUserStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - DELETED
      title: ITSMUserStatus
    ITSMUserVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's UUID for the User
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the User in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the User in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraUserVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraUserVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the User
      type: object
      required:
        - id
        - vendor
        - created_at
        - updated_at
      title: ITSM User Vendor Attributes
    JiraUserVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
        accountType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounttype
      type: object
      title: JiraUserVendorAttributesData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````